<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/mainBackground"
    android:orientation="vertical">

    <com.pengxh.kt.lite.widget.TitleBarView
        android:id="@+id/titleView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        app:tbv_right_image="@drawable/ic_close"
        app:tbv_show_right_image="true"
        app:tbv_smaller_title="true"
        app:tbv_text="差分定位服务"
        app:tbv_text_color="@color/black" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="4dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_edit_text_bk_radius_5"
            android:paddingHorizontal="@dimen/dp_10">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="账号"
                android:textColor="@color/black"
                android:textSize="@dimen/sp_16" />

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/accountView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="@dimen/dp_10"
                android:background="@null"
                android:hint="请输入差分定位服务账号"
                android:paddingVertical="@dimen/dp_12"
                android:singleLine="true"
                android:textColor="@color/black"
                android:textColorHint="@color/hintColor"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginVertical="@dimen/dp_2"
            android:background="@drawable/bg_edit_text_bk_radius_5"
            android:paddingHorizontal="@dimen/dp_10">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="密码"
                android:textColor="@color/black"
                android:textSize="@dimen/sp_16" />

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/passwordView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="@dimen/dp_10"
                android:background="@null"
                android:hint="请输入密码"
                android:inputType="textPassword"
                android:paddingVertical="@dimen/dp_12"
                android:singleLine="true"
                android:textColor="@color/black"
                android:textColorHint="@color/hintColor"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_edit_text_bk_radius_5"
            android:paddingHorizontal="@dimen/dp_10">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="地址"
                android:textColor="@color/black"
                android:textSize="@dimen/sp_16" />

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/serverIpView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="@dimen/dp_10"
                android:background="@null"
                android:hint="请输入差分定位服务器IP"
                android:paddingVertical="@dimen/dp_12"
                android:singleLine="true"
                android:textColor="@color/black"
                android:textColorHint="@color/hintColor"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginVertical="@dimen/dp_2"
            android:background="@drawable/bg_edit_text_bk_radius_5"
            android:paddingHorizontal="@dimen/dp_10">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="端口"
                android:textColor="@color/black"
                android:textSize="@dimen/sp_16" />

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/serverPortView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="@dimen/dp_10"
                android:background="@null"
                android:hint="请输入差分定位服务器端口号"
                android:inputType="number"
                android:paddingVertical="@dimen/dp_12"
                android:singleLine="true"
                android:textColor="@color/black"
                android:textColorHint="@color/hintColor"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>
    </LinearLayout>

    <Button
        android:id="@+id/saveButton"
        style="@style/MainButtonStyle"
        android:layout_margin="@dimen/dp_10"
        android:text="保\u3000存"
        android:textColor="@color/white" />
</LinearLayout>